Bug 736290 - [abrt] bodhi-client-0.8.0-1.fc15: proxyclient.py:380:send_request:error: (56, 'Received HTTP code 407 from proxy after CONNECT')
Summary: [abrt] bodhi-client-0.8.0-1.fc15: proxyclient.py:380:send_request:error: (56,...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: bodhi
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b3ff51de98bac13a174b4ba07ce...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-07 09:47 UTC by Peter Robinson
Modified: 2016-09-20 02:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:54:06 UTC


Attachments (Terms of Use)

Description Peter Robinson 2011-09-07 09:47:23 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        
comment:        submitting an update on the command line using "fedpkg update"
component:      bodhi
executable:     /usr/bin/bodhi
kernel:         2.6.40.4-5.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        bodhi-client-0.8.0-1.fc15
reason:         proxyclient.py:380:send_request:error: (56, 'Received HTTP code 407 from proxy after CONNECT')
time:           Wed Sep  7 10:35:58 2011
uid:            501
username:       perobinson

backtrace:
:proxyclient.py:380:send_request:error: (56, 'Received HTTP code 407 from proxy after CONNECT')
:
:Traceback (most recent call last):
:  File "/usr/bin/bodhi", line 519, in <module>
:    main()
:  File "/usr/bin/bodhi", line 217, in main
:    data = bodhi.save(**update_args)
:  File "/usr/lib/python2.7/site-packages/fedora/client/bodhi.py", line 111, in save
:    'bugs': bugs,
:  File "/usr/lib/python2.7/site-packages/fedora/client/baseclient.py", line 344, in send_request
:    auth_params=auth_params, retries=retries)
:  File "/usr/lib/python2.7/site-packages/fedora/client/proxyclient.py", line 380, in send_request
:    request.perform()
:error: (56, 'Received HTTP code 407 from proxy after CONNECT')
:
:Local variables in innermost frame:
:username: None
:retries: 0
:req_params: {'close_bugs': True, 'edited': '', 'suggest_reboot': False, 'unstable_karma': -3, 'stable_karma': 3, 'builds': ' sudo-1.8.1p2-2.fc16 ', 'autokarma': True, 'inheritance': False, 'notes': "Remove execute bit from sample script in docs so we don't pull in perl", 'request': 'testing', 'bugs': '', 'type_': 'bugfix', '_csrf_token': 'ee53e8765d7d4756ce633c3b9fb7f885edebb395'}
:i: ('_csrf_token', 'ee53e8765d7d4756ce633c3b9fb7f885edebb395')
:self: <fedora.client.bodhi.BodhiClient object at 0x26e7210>
:request: <pycurl.Curl object at 0x2786f90>
:session_id: '3ccb34bb08b6469a625c65b254c0c64269a43a94'
:req_data: 'close_bugs=True&edited=&suggest_reboot=False&unstable_karma=-3&stable_karma=3&builds=+sudo-1.8.1p2-2.fc16+&autokarma=True&inheritance=False&notes=Remove+execute+bit+from+sample+script+in+docs+so+we+don%27t+pull+in+perl&request=testing&bugs=&type_=bugfix&_csrf_token=ee53e8765d7d4756ce633c3b9fb7f885edebb395'
:auth_params: {'session_id': '3ccb34bb08b6469a625c65b254c0c64269a43a94'}
:headers: ['User-agent: Fedora Bodhi Client/0.5.1', 'Accept: application/json']
:token: <sha1 HASH object @ 0x2717d50>
:num_tries: 0
:complete_params: {'close_bugs': True, 'edited': '', 'suggest_reboot': False, 'unstable_karma': -3, 'stable_karma': 3, 'builds': ' sudo-1.8.1p2-2.fc16 ', 'autokarma': True, 'inheritance': False, 'notes': "Remove execute bit from sample script in docs so we don't pull in perl", 'request': 'testing', 'bugs': '', 'type_': 'bugfix', '_csrf_token': 'ee53e8765d7d4756ce633c3b9fb7f885edebb395'}
:url: 'https://admin.fedoraproject.org/updates/save'
:file_params: None
:method: 'save'
:password: None
:data: None
:response: <fedora.client.proxyclient._PyCurlData object at 0x2729250>

Comment 1 Fedora End Of Life 2012-08-07 16:54:09 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.